Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3574 - installer does not communicate keyboard type to Xconfigurator
Summary: installer does not communicate keyboard type to Xconfigurator
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-18 16:54 UTC by burchard
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 12:14:07 UTC


Attachments (Terms of Use)

Description burchard 1999-06-18 16:54:38 UTC
Although  the installer obtains the type of keyboard from
the user at the beginning of the installation, Xconfigurator
(called by installer) does not appear to detect this info,
or have a way to be passed this info by installer.  The
result is that, after standard installation, the console
works correctly, but X uses a mismapped keyboard for
everyone except those with a pc101/us keyboard (who are
admittedly in the majority).

The fix would be to add an option to Xconfigurator to
override default XkbModel and XkbLayout; installer could
then pass correct parameters.

Comment 1 Jay Turner 2000-02-08 12:14:59 UTC
The new installer which will ship in the next release has this bug fixed.  The
keyboard selected at the beginning of the installation is indeed passed into
Xconfigurator and written to the XF86Config file.


Note You need to log in before you can comment on or make changes to this bug.